<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
Input Values
    -predios: Lista de objetos de tipo PPredio a consultar
    -rendered: Indica si se muestra o no la tabla
    -title: Título de la tabla
-->
<p:dataTable xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" var="predio"
             value="#{predios}" rendered="#{rendered}">

    <f:facet name="header"> <h:outputText value="#{title}"/></f:facet>

    <h3>¿Ve este mensaje? Favor avisar a pedro.garcia. Mensaje: tablaConsultaIdentificacionPredio.xhtml: circuloRegistral</h3>
    <p:column>
        <f:facet name="header">Número predial</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{predio.formattedNumeroPredial}" />
    </p:column>

    <p:column>
        <f:facet name="header">NIP</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{predio.nip}" />
    </p:column>

    <p:column>
        <f:facet name="header">Número predial<br />anterior</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{predio.numeroPredialAnterior}" />
    </p:column>

    <p:column>
        <f:facet name="header">Tipo de predio</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{predio.tipoValor}" />
    </p:column>

    <p:column>
        <f:facet name="header">Consecutivo catastral</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{predio.consecutivoCatastral}" />
    </p:column>

    <p:column>
        <f:facet name="header">Estado del predio</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{predio.estadoValor}" />
    </p:column>

    <p:column>
        <f:facet name="header">Predio<br />ley 14</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{predio.ley14}" />
    </p:column>

    <p:column>
        <f:facet name="header">Destino<br />del predio</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{predio.destinoValor}" />
    </p:column>

    <p:column>
        <f:facet name="header">Círculo<br />registral</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{predio.circuloRegistral}" />
    </p:column>

</p:dataTable>
